package com.uas.eis.exception;

import com.uas.eis.sdk.entity.StepWorkApiResult;

/**
 * 系统程序执行异常
 * 
 * @author yingp
 * 
 */
public class ApiStepWorkException extends RuntimeException {

	/**
	 *
	 */
	private static final long serialVersionUID = 4218425517031998401L;

	private StepWorkApiResult apiResult;

	public ApiStepWorkException() {
	}

	public ApiStepWorkException(String paramString) {
		super(paramString);
	}

	public ApiStepWorkException(StepWorkApiResult apiResult) {
		super(apiResult.getMsg());
		this.apiResult = apiResult;
	}

	public ApiStepWorkException(StepWorkApiResult apiResult, Throwable paramThrowable) {
		super(apiResult.getMsg(), paramThrowable);
		this.apiResult = apiResult;
	}

	public ApiStepWorkException(Throwable paramThrowable) {
		super(paramThrowable);
	}


	public StepWorkApiResult getApiResult() {
		return apiResult;
	}

	public void setApiResult(StepWorkApiResult apiResult) {
		this.apiResult = apiResult;
	}
}
